NAND_WRITEV_ECC(9)

NAME
nand_writev_ecc - [MTD Interface] write with iovec with ecc

SYNOPSIS

int nand_writev_ecc (struct mtd_info * mtd, const struct kvec * vecs, unsigned long count, loff_t to, size_t * retlen, u_char * eccbuf, struct nand_oobinfo * oobsel);

ARGUMENTS

mtd MTD device structure

vecs
    the iovectors to write

count
    number of vectors

to  offset to write to

retlen
    pointer to variable to store the number of written bytes

eccbuf
    filesystem supplied oob data buffer

oobsel
    oob selection structure

DESCRIPTION

NAND write with iovec with ecc

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.